Bug 895342 - [abrt] yum-utils-1.1.31-6.fc18: misc.py:777:_decompress_chunked:MiscError: Error reading from file /var/tmp/yum-echevemaster-4A4npV/x86_64/18/fedorautils/primary.sqlite.bz2: compressed file ended before the logical end-of-stream was detected
[abrt] yum-utils-1.1.31-6.fc18: misc.py:777:_decompress_chunked:MiscError: Er...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:facf0fa3ac4ebca4593aedaea1f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 23:25 EST by Eduardo Echeverria
Modified: 2014-02-05 09:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (2.55 KB, text/plain)
2013-01-14 23:25 EST, Eduardo Echeverria
no flags Details
File: core_backtrace (1.24 KB, text/plain)
2013-01-14 23:25 EST, Eduardo Echeverria
no flags Details
File: environ (3.05 KB, text/plain)
2013-01-14 23:25 EST, Eduardo Echeverria
no flags Details
File: smolt_data (2.55 KB, text/plain)
2013-01-14 23:25 EST, Eduardo Echeverria
no flags Details

  None (edit)
Description Eduardo Echeverria 2013-01-14 23:25:46 EST
Description of problem:
Run repoquery --list $package

Version-Release number of selected component:
yum-utils-1.1.31-6.fc18

Additional info:
cmdline:        /usr/bin/python -tt /usr/bin/repoquery --list python-sphinx
dso_list:       yum-3.4.3-47.fc18.noarch
executable:     /usr/bin/repoquery
kernel:         3.6.11-3.fc18.x86_64
uid:            1000

Truncated backtrace:
misc.py:777:_decompress_chunked:MiscError: Error reading from file /var/tmp/yum-echevemaster-4A4npV/x86_64/18/fedorautils/primary.sqlite.bz2: compressed file ended before the logical end-of-stream was detected

Traceback (most recent call last):
  File "/usr/bin/repoquery", line 1510, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 1504, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 982, in runQuery
    pkgs = self.matchPkgs(items, plain_pkgs=plain_pkgs)
  File "/usr/bin/repoquery", line 903, in matchPkgs
    pkgs = self.returnPkgList(patterns=items)
  File "/usr/bin/repoquery", line 856, in returnPkgList
    pkgs = self.pkgSack.returnNewestByNameArch(**kwargs)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1014, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 780, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 352, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 191, in populate
    db_un_fn = self._check_uncompressed_db_gen(repo, mydbtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 242, in _check_uncompressed_db_gen
    cached=repo.cache)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1177, in repo_gen_decompress
    return decompress(filename, dest=dest, check_timestamps=True,fn_only=cached)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1163, in decompress
    _decompress_chunked(filename, out, ztype)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 777, in _decompress_chunked
    raise Errors.MiscError, msg
MiscError: Error reading from file /var/tmp/yum-echevemaster-4A4npV/x86_64/18/fedorautils/primary.sqlite.bz2: compressed file ended before the logical end-of-stream was detected

Local variables in innermost frame:
e: EOFError('compressed file ended before the logical end-of-stream was detected',)
dest: '/var/tmp/yum-echevemaster-4A4npV/x86_64/18/fedorautils/gen/primary_db.sqlite'
destination: <open file '/var/tmp/yum-echevemaster-4A4npV/x86_64/18/fedorautils/gen/primary_db.sqlite', mode 'w' at 0x2bc19c0>
source: '/var/tmp/yum-echevemaster-4A4npV/x86_64/18/fedorautils/primary.sqlite.bz2'
s_fn: <bz2.BZ2File object at 0x2cbcc60>
msg: 'Error reading from file /var/tmp/yum-echevemaster-4A4npV/x86_64/18/fedorautils/primary.sqlite.bz2: compressed file ended before the logical end-of-stream was detected'
ztype: 'bz2'
Comment 1 Eduardo Echeverria 2013-01-14 23:25:50 EST
Created attachment 678646 [details]
File: backtrace
Comment 2 Eduardo Echeverria 2013-01-14 23:25:52 EST
Created attachment 678647 [details]
File: core_backtrace
Comment 3 Eduardo Echeverria 2013-01-14 23:25:55 EST
Created attachment 678648 [details]
File: environ
Comment 4 Eduardo Echeverria 2013-01-14 23:25:57 EST
Created attachment 678649 [details]
File: smolt_data
Comment 5 Fedora End Of Life 2013-12-21 05:23:07 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 09:51:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.